Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Interface JULovPanelInterface

public interface JULovPanelInterface

Implements creation of a LOV dialog bound to a BC4J RowSet to display data. Also performs the display of help on the Lov Dialog (if the default LOV dialog is used). In the framework, an inner class implements this interface and displays itself in a JULovDialog. Applications should create their own implementation of this interface to customize the LOV Dialog display/functionality.

Method Summary
`void` | `bindRowSetIterator(oracle.adf.model.binding.DCDataControl dc, RowSetIterator rsi, java.lang.String[] lovVODisplayedAttrNames)` Sets display using data from this RowSet Iterator.
`void` | `bindRowSetIterator(RowSetIterator rsi, java.lang.String[] lovVODisplayedAttrNames)` Deprecated. since 9.0.5
`JULovDialogInterface` | `createLovDialog(javax.swing.JComponent control)` Creates a JDialog and returns a JULovDialogInterface that performs interaction with the JULovButtonBinding for display of LOV data.
`oracle.adf.model.binding.DCIteratorBinding` | `getLovIteratorBinding()`
`javax.swing.JPanel` | `getPanel()` Returns an instance of JPanel to add into an LOV dialog.
`java.lang.String` | `getPanelTitle()` Returns a String that is displayed in the default JULovDialog as the title of the LOV dialog.
`Row` | `getSelectedRow()` Returns the currently selected Row in the Lov Panel, so that the binding uses this row to update the target values.
`void` | `helpAction(java.awt.event.ActionEvent ev)` This method is invoked by the framework to display help on the LOV dialog.

Method Detail

### bindRowSetIterator

    public void bindRowSetIterator(oracle.adf.model.binding.DCDataControl dc,
                                   RowSetIterator rsi,
                                   java.lang.String[] lovVODisplayedAttrNames)

  Sets display using data from this RowSet Iterator. Note that on LOV action, this RowSet Iterator's current Row will be used to set the target Row's attributes.

### getLovIteratorBinding

    public oracle.adf.model.binding.DCIteratorBinding getLovIteratorBinding()

### getPanel

    public javax.swing.JPanel getPanel()

  Returns an instance of JPanel to add into an LOV dialog. This method may return null if createLovDialog() is creating and adding a LOV panel into itself.

### helpAction

    public void helpAction(java.awt.event.ActionEvent ev)

  This method is invoked by the framework to display help on the LOV dialog. If applications customize the Lov Panel interface and not the dialog, then this method will get invoked if no helpActionListener is established with the LovButtonBinding to control the help display.

### createLovDialog

    public JULovDialogInterface createLovDialog(javax.swing.JComponent control)

  Creates a JDialog and returns a JULovDialogInterface that performs interaction with the JULovButtonBinding for display of LOV data.

### getPanelTitle

    public java.lang.String getPanelTitle()

  Returns a String that is displayed in the default JULovDialog as the title of the LOV dialog.

### getSelectedRow

    public Row getSelectedRow()

  Returns the currently selected Row in the Lov Panel, so that the binding uses this row to update the target values.

### bindRowSetIterator

    public void bindRowSetIterator(RowSetIterator rsi,
                                   java.lang.String[] lovVODisplayedAttrNames)

  Deprecated. since 9.0.5

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.